Collection Network Information API info from browsers that support it
Closed, ResolvedPublic

Description

Came from a conversation with @Peter the other day: Chrome is now supporting at least part of the Network Information API: http://wicg.github.io/netinfo/. Seems like it can't hurt for us to collect this data if available, worst case we just ignore it.

Previous work: T76814: Capture network performance information from navigator.connection

Imarlier created this task.Dec 7 2017, 10:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2017, 10:30 PM

Change 396279 had a related patch set uploaded (by Imarlier; owner: Imarlier):
[mediawiki/extensions/NavigationTiming@master] ext.NavigationTiming: Include Network Information in NavTiming events

https://gerrit.wikimedia.org/r/396279

Imarlier triaged this task as Normal priority.Jan 18 2018, 2:42 PM

Change 396279 abandoned by Imarlier:
ext.NavigationTiming: Include Network Information in NavTiming events

Reason:
Going to do something more stripped-down than this.

https://gerrit.wikimedia.org/r/396279

Change 408538 had a related patch set uploaded (by Imarlier; owner: Imarlier):
[mediawiki/extensions/NavigationTiming@master] ext.NavigationTiming: Add effectiveType from the NetworkInfo API

https://gerrit.wikimedia.org/r/408538

Patch above handles the simplest case, just collecting the effectiveType (which is kind of an intepretation of the other metrics available via the NetInfo API anyway). We can always extend later if there's a reason to do so.

Change 408538 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@master] ext.NavigationTiming: Add effectiveType from the NetworkInfo API

https://gerrit.wikimedia.org/r/408538

Imarlier closed this task as Resolved.Feb 12 2018, 3:29 PM

Verified present and working as expected on beta.

Krinkle updated the task description. (Show Details)